package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.AimTemplate;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.AimTemplateMapper")
public interface AimTemplateMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(AimTemplate record);

    AimTemplate selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AimTemplate record);

    List<AimTemplate> queryAllAimTemplate(AimTemplate record);

    List<AimTemplate> queryAimTemplateByPage(Map<String, Object> parameter);

    int delete(AimTemplate record);

    AimTemplate queryAimTemplate(AimTemplate record);

    AimTemplate queryAimTemplateAllInfo(AimTemplate record);

    List<AimTemplate> query(AimTemplate record);
}

